---
- name: "Build SSH Config line1"
  lineinfile: dest=/etc/ssh/sshd_config line="Match User git"
  
- name: "Build SSH Config line2"
  lineinfile: dest=/etc/ssh/sshd_config line="  AuthorizedKeysCommand /opt/gitlab/embedded/service/gitlab-shell/bin/gitlab-shell-authorized-keys-check git %u %k"

- name: "Build SSH Config line3"
  lineinfile: dest=/etc/ssh/sshd_config line="  AuthorizedKeysCommandUser git"

- name: "Build SSH Config line4"
  lineinfile: dest=/etc/ssh/sshd_config line="Match all"

- name: Reconfigure GitLab
  command: service sshd reload
  args:
    warn: no


